# Gnome::GdaUI::ServerOperation Class Reference

ServerOperation - Entrer information to perform a DDL query. More...

Inherits Gtk::VBox.

Collaboration diagram for Gnome::GdaUI::ServerOperation:
[legend]

List of all members.

## Public Member Functions

virtual | ~ServerOperation ()
GdauiServerOperation* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiServerOperation* | gobj () const
| Provides access to the underlying C GtkObject.
| ServerOperation (const Glib::RefPtr< Gnome::Gda::ServerOperation >& op)
| Creates a new Gdaui::ServerOperation widget using all the parameters provided in .
| ServerOperation (const Glib::RefPtr< Gnome::Gda::ServerOperation >& op, Gtk::Window* parent, const Glib::ustring& title, const Glib::ustring& header)
| Creates a new Gdaui::ServerOperation widget in the same way as new() and puts it into a Gtk::Dialog widget.
Glib::PropertyProxy< bool > | property_hide_single_header ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_hide_single_header () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gnome::Gda::ServerOperation > > | property_server_operation () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::ServerOperation* | wrap (GdauiServerOperation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ServerOperation - Entrer information to perform a DDL query.

The ServerOperation widget allows the user to enter information to perform Data Definition queries (all queries which are not SELECT, INSERT, UPDATE or DELETE). For example the figure shows a ServerOperation widget set to create an index in an SQLite database.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::ServerOperation::~ServerOperation | ( |  | ) | `[virtual]`

Gnome::GdaUI::ServerOperation::ServerOperation | ( | const Glib::RefPtr< Gnome::Gda::ServerOperation > & | op | ) | `[explicit]`

Creates a new Gdaui::ServerOperation widget using all the parameters provided in .

The global layout is rendered using a table (a Gtk::Table), and an entry is created for each node of .

Parameters:

  | paramlist | A Gda::Set structure.

Returns:
  The new widget

Since libgda-uimm 4.2:

Gnome::GdaUI::ServerOperation::ServerOperation | ( | const Glib::RefPtr< Gnome::Gda::ServerOperation > & | op,
|  | Gtk::Window * | parent,
|  | const Glib::ustring & | title,
|  | const Glib::ustring & | header |
| ) |  |  | `[explicit]`

Creates a new Gdaui::ServerOperation widget in the same way as new() and puts it into a Gtk::Dialog widget.

The returned dialog has the "Ok" and "Cancel" buttons which respectively return GTK_RESPONSE_ACCEPT and GTK_RESPONSE_REJECT.

The Gdaui::ServerOperation widget is attached to the dialog using the user property "form".

Parameters:

  | op | A Gda::ServerOperation object.
  | parent | The parent window for the new dialog, or `0`.
  | title | The title of the dialog window, or `0`.
  | header | A helper text displayed at the top of the dialog, or `0`.

Returns:
  The new Gtk::Dialog widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiServerOperation* Gnome::GdaUI::ServerOperation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GdauiServerOperation* Gnome::GdaUI::ServerOperation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

Glib::PropertyProxy_ReadOnly<bool> Gnome::GdaUI::ServerOperation::property_hide_single_header | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gnome::GdaUI::ServerOperation::property_hide_single_header | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gnome::Gda::ServerOperation> > Gnome::GdaUI::ServerOperation::property_server_operation | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gnome::GdaUI::ServerOperation* wrap | ( | GdauiServerOperation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/serveroperation.h